Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

MX 17 Repository: The GIMP Thread

Message
Author
User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16954
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The GIMP Thread

#21 Post by Stevo » Mon May 21, 2018 1:26 pm

The latest 2.10.2 release has now landed in our test repo, along with the 0.1.50 libbabl and 0.4.2 libgegl libraries that the update requires. This required some more work to build, since one of those were in upstream Debian yet.

If either of those libraries doesn't automatically update, you will have to manually upgrade those for the new GIMP to run.

Edit: Debian has now added it to Sid, and added support for the hot new HEIF image format https://www.howtogeek.com/345314/what-i ... ge-format/ , so will roll that update into our test repo soon.

User avatar
Eadwine Rose
Forum Veteran
Forum Veteran
Posts: 6228
Joined: Wed Jul 12, 2006 2:10 am

Re: MX 17 Repository: The GIMP Thread

#22 Post by Eadwine Rose » Wed May 30, 2018 4:01 pm

Saw there was a new update for the Gimp, and again it doesn't take along what it needs to.

I right click the gimp package to update, and gimp-data and libgimp don't get included, two new packages will get installed:
libheif1 (version 1.1.0-2~mx17+1) will be installed
libx265-146 (version 2.6-3~mx17+1) will be installed


Now.. considering the previous booboo with this, I figured I'd report it in before doing the upgrade ;)
MX-17.1_x64 Horizon 3-2018 * 4.15.0-1-amd64 ext4 Xfce 4.12.3 * AMD Asus M4A785TD-V EVO AM3 * ASUS GF GT640-1GD5-L NVIDIA 384.130 * AMD Proc. Athl II X4 635, sAM3 * HDA ATI SB VT1708S An * 2x4Gb DDR3 1600 Kingst * 22" Samsung SyncM P2250 * HP Envy5030

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16954
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The GIMP Thread

#23 Post by Stevo » Wed May 30, 2018 4:04 pm

What versions of libgimp2 and gimp-data are currently installed?

Let me look at the control file and see if I can get it to require the same binary versions of those as the gimp package.

Hmmm--the control file gets automatically regenerated from the control.in file, which has these entries

Code: Select all

Depends: libgimp2.0 (>= ${source:Upstream-Version}),
         libgimp2.0 (<= ${source:Upstream-Version}-z),
         gimp-data (>= ${source:Upstream-Version}),
         gimp-data (<= ${source:Upstream-Version}-z)
They are supposed to get replaced by actual version numbers, but instead that same code is just being passed to the control file. Let's see if I can just replace it with the binary versions variable in the control.in file.
Last edited by Stevo on Wed May 30, 2018 4:14 pm, edited 1 time in total.

User avatar
Eadwine Rose
Forum Veteran
Forum Veteran
Posts: 6228
Joined: Wed Jul 12, 2006 2:10 am

Re: MX 17 Repository: The GIMP Thread

#24 Post by Eadwine Rose » Wed May 30, 2018 4:13 pm

Test repo is not enabled, so upgrade is not showing in this screen.

gimp.jpg
You do not have the required permissions to view the files attached to this post.
MX-17.1_x64 Horizon 3-2018 * 4.15.0-1-amd64 ext4 Xfce 4.12.3 * AMD Asus M4A785TD-V EVO AM3 * ASUS GF GT640-1GD5-L NVIDIA 384.130 * AMD Proc. Athl II X4 635, sAM3 * HDA ATI SB VT1708S An * 2x4Gb DDR3 1600 Kingst * 22" Samsung SyncM P2250 * HP Envy5030

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16954
Joined: Fri Dec 15, 2006 8:07 pm

Re: MX 17 Repository: The GIMP Thread

#25 Post by Stevo » Wed May 30, 2018 4:46 pm

OK, my changes seem to have worked as intended, so I'll send the rebuild (2.10.2-1~mx17+2) up to the test repo.

Edit: it's in the test repo now, ready to install.

User avatar
Eadwine Rose
Forum Veteran
Forum Veteran
Posts: 6228
Joined: Wed Jul 12, 2006 2:10 am

Re: MX 17 Repository: The GIMP Thread

#26 Post by Eadwine Rose » Thu May 31, 2018 1:43 am

Just went back, marked Gimp to upgrade:

gimp (version 2.10.2-0.1~mx17+1) will be upgraded to version 2.10.2-1~mx17+2
gimp-data (version 2.10.2-0.1~mx17+1) will be upgraded to version 2.10.2-1~mx17+2
libgimp2.0 (version 2.10.2-0.1~mx17+1) will be upgraded to version 2.10.2-1~mx17+2
libheif1 (version 1.1.0-2~mx17+1) will be installed
libx265-146 (version 2.6-3~mx17+1) will be installed

Looks better now! Let's roll :)

And it starts, thanks Stevo!
MX-17.1_x64 Horizon 3-2018 * 4.15.0-1-amd64 ext4 Xfce 4.12.3 * AMD Asus M4A785TD-V EVO AM3 * ASUS GF GT640-1GD5-L NVIDIA 384.130 * AMD Proc. Athl II X4 635, sAM3 * HDA ATI SB VT1708S An * 2x4Gb DDR3 1600 Kingst * 22" Samsung SyncM P2250 * HP Envy5030

User avatar
KoO
Forum Regular
Forum Regular
Posts: 313
Joined: Fri Feb 10, 2017 1:21 am

Re: MX 17 Repository: The GIMP Thread

#27 Post by KoO » Sat Jun 09, 2018 10:20 pm

Thanks Stevo
Installed and running just fine with antiX i3 gaps.
AntiX 17.2 (4.19.8) i3 ,MX18-b1,Windows8.1 , Intel Xeon E3-1241 v3 , 16gb HyperX , Samsung EVO 860 500 GB , Samsung EVO 860 500 GB , GTX 970
Lenovo T430 AntiX17.2 (4.19.8) i3 ,MX18-b1,Windows8.1 , i5 +4000 , 8gb , Samsung EVO 860 500 GB , 1TB HGST

User avatar
PondLife
Forum Novice
Forum  Novice
Posts: 47
Joined: Wed May 09, 2018 12:24 pm

Re: MX 17 Repository: The GIMP Thread

#28 Post by PondLife » Sun Jun 10, 2018 1:21 pm

Just installed 2.10.2 everything looks OK including Cage Transform which now works as intended rather than locking up the whole of GIMP as it did in 2.8.22 ( a problem with Debian if I understood correctly ).
Desktop: MX-17.1_x64 | Intel i3-4360T | 4GB RAM | Samsung 250GB SSD
Laptop: antiX-17.2 | Intel T2310 | 1GB RAM | 150GB hdd

sunrat
Forum Regular
Forum Regular
Posts: 228
Joined: Mon Mar 28, 2016 9:54 pm

Re: MX 17 Repository: The GIMP Thread

#29 Post by sunrat » Sun Jun 10, 2018 9:59 pm

PondLife wrote:
Sun Jun 10, 2018 1:21 pm
Just installed 2.10.2 everything looks OK including Cage Transform which now works as intended rather than locking up the whole of GIMP as it did in 2.8.22 ( a problem with Debian if I understood correctly ).
Hmm, that bug was reported to be fixed in 2.8.20-2
https://bugs.debian.org/cgi-bin/bugrepo ... bug=889690

User avatar
richb
Administrator
Posts: 17478
Joined: Wed Jul 12, 2006 2:17 pm

Re: MX 17 Repository: The GIMP Thread

#30 Post by richb » Mon Jun 11, 2018 6:38 am

Installed Gimp from the test repo and see the successes reported but I have a problem. I get an error when launching that BABL 1.5 or greater is required and 1.46 is installed. This is MX 17.1 64 bit on an R7 AMD processor, integrated graphics with 4.16.0-0.bpo.1-amd64 kernel.
Forum Rules
Guide - How to Ask for Help

Rich
SSD Production: MX 17.1
AMD A8 7600 FM2+ CPU R7 Graphics, 16 GIG Mem. Three Samsung EVO SSD's 250 GB, 350 GB HD

Post Reply

Return to “Package Requests/Status - MX 17”